summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /mail-filter/tmda
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'mail-filter/tmda')
-rw-r--r--mail-filter/tmda/Manifest1
-rw-r--r--mail-filter/tmda/files/tmda-1.0-non-interactive-tty.patch31
-rw-r--r--mail-filter/tmda/metadata.xml8
-rw-r--r--mail-filter/tmda/tmda-1.1.12.ebuild73
4 files changed, 113 insertions, 0 deletions
diff --git a/mail-filter/tmda/Manifest b/mail-filter/tmda/Manifest
new file mode 100644
index 00000000000..a8d365edb9f
--- /dev/null
+++ b/mail-filter/tmda/Manifest
@@ -0,0 +1 @@
+DIST tmda-1.1.12.tgz 1427638 SHA256 93c3d7a5baa7af366f82089b2f99c58d3fb4b5c259f78a0c7fe90d4b39c4a6c3
diff --git a/mail-filter/tmda/files/tmda-1.0-non-interactive-tty.patch b/mail-filter/tmda/files/tmda-1.0-non-interactive-tty.patch
new file mode 100644
index 00000000000..3900c43dc1a
--- /dev/null
+++ b/mail-filter/tmda/files/tmda-1.0-non-interactive-tty.patch
@@ -0,0 +1,31 @@
+--- TMDA/Pending.py.bak.20041011 2004-10-11 15:50:13.014474866 -0400
++++ TMDA/Pending.py 2004-10-11 16:06:02.640603837 -0400
+@@ -64,6 +64,7 @@
+ self.verbose = verbose
+ self.younger = younger
+ self.pretend = pretend
++ self.interactive = 0
+
+ self.stdout = sys.stdout
+
+@@ -86,8 +87,9 @@
+ self.msgs.extend(line.strip().split())
+ self.msgs.remove('-')
+ # re-open stdin on the tty
+- sys.stdin.close()
+- sys.stdin = open('/dev/tty', 'r')
++ if self.interactive:
++ sys.stdin.close()
++ sys.stdin = open('/dev/tty', 'r')
+
+ if not self.msgs and not wantedstdin:
+ cwd = os.getcwd()
+@@ -341,6 +343,8 @@
+ younger,
+ pretend)
+
++ self.interactive = 1
++
+
+ def initQueue(self):
+ """Additionally initialize the interactive queue."""
diff --git a/mail-filter/tmda/metadata.xml b/mail-filter/tmda/metadata.xml
new file mode 100644
index 00000000000..5fd6a74fbfd
--- /dev/null
+++ b/mail-filter/tmda/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>net-mail</herd>
+ <upstream>
+ <remote-id type="sourceforge">tmda</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/mail-filter/tmda/tmda-1.1.12.ebuild b/mail-filter/tmda/tmda-1.1.12.ebuild
new file mode 100644
index 00000000000..cb02daef384
--- /dev/null
+++ b/mail-filter/tmda/tmda-1.1.12.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="3"
+PYTHON_DEPEND="2"
+
+inherit eutils multilib python
+
+DESCRIPTION="Python-based SPAM reduction system"
+HOMEPAGE="http://www.tmda.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tgz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ppc ~sparc x86"
+IUSE=""
+
+DEPEND="virtual/mta"
+RDEPEND="${DEPEND}"
+
+pkg_setup() {
+ python_set_active_version 2
+ python_pkg_setup
+}
+
+src_prepare() {
+ # Do not open /dev/tty when in batch mode. (bug #67150) -ticho
+ epatch "${FILESDIR}/tmda-1.0-non-interactive-tty.patch"
+
+ python_convert_shebangs -r $(python_get_version) bin
+}
+
+src_install() {
+ # Executables
+ dobin bin/tmda-* || die "dobin failed"
+
+ # The Python TMDA module
+ insinto $(python_get_sitedir)
+ doins -r TMDA || die "doins failed"
+
+ # The templates
+ insinto /etc/tmda
+ doins templates/*.txt || die "doins failed"
+
+ # Documentation
+ dodoc ChangeLog CODENAMES CRYPTO NEWS README THANKS UPGRADE || die "dodoc failed"
+ dohtml -r doc/html/* || die "dohtml failed"
+
+ # Contributed binaries and stuff
+ pushd contrib > /dev/null
+
+ exeinto /usr/$(get_libdir)/tmda/contrib
+ doexe collectaddys def2html printcdb printdbm \
+ sendit.sh smtp-check-sender update-internaldomains vadduser-tmda \
+ vmailmgr-vdir.sh vpopmail-vdir.sh wrapfd3.sh || die "doexe failed"
+
+ insinto /usr/$(get_libdir)/tmda/contrib
+ doins ChangeLog tmda.el tmda.spec \
+ tofmipd.init tofmipd.sysconfig vtmdarc || die "doins failed"
+
+ insinto /usr/$(get_libdir)/tmda/contrib/dot-tmda
+ doins dot-tmda/* || die "doins failed"
+ popd > /dev/null
+}
+
+pkg_postinst() {
+ python_mod_optimize TMDA
+}
+
+pkg_postrm() {
+ python_mod_cleanup TMDA
+}